Bug 1076859

Summary: Use system iniparser
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: isomasterAssignee: Marcin Zajaczkowski <mszpak>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: mszpak
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 07:09:45 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 504493    
Attachments:
Description Flags
Use system iniparser none

Description Ville Skyttä 2014-03-15 15:42:27 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

Fix attached, build tested only. Let me know if you'd like me to push
and build this for devel.
Comment 1 Ville Skyttä 2014-03-15 15:42:32 EDT
Created attachment 874890 [details]
Use system iniparser
Comment 2 Marcin Zajaczkowski 2014-03-15 20:58:04 EDT
Thanks Ville for the patch. I tested it and unfortunately it seems that isomaster used older version of iniparser which is not fully compatible with 3.1 in Fedora 19. Config file stred on disk is the same, but isomaster with the external library shows empty positions in the recent files menu which causes error when used. I will talk with the isomaster's author to fix that issue and maybe apply your patch upstream.
Comment 3 Jaroslav Reznik 2015-03-03 10:35:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 07:09:45 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Ville Skyttä 2016-07-19 10:54:16 EDT
$ repoquery --repoid=rawhide-debuginfo -l isomaster-debuginfo 2>/dev/null | grep iniparser
Comment 6 Jan Kurik 2016-07-26 00:49:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 7 Fedora End Of Life 2017-11-16 14:32:22 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Marcin Zajaczkowski 2017-11-16 18:15:35 EST
Due to the aforementioned in the comment 2 reason the system iniparser is still not used.